/* avidris.cpp--source code for avidris.dll */

#include <windows.h>
#include "idrimg.h"

int IsValidFile(char * path);
int QueryImageInfo(char * path, long * nbands, long * width,
       long * height, double * mbr);
int GetImage(char * path, char * out_path, double * clip_mbr,
       long out_width, long out_height);

int IsValidFile(char * path)
{
   Idrimg theImg(path);
   return theImg.IsValid();
}

int QueryImageInfo(char * path, long * nbands, long * width,
       long * height, double * mbr)
{
   Idrimg theImg(path);
   return theImg.Query(nbands,width,height,mbr);
}

int GetImage(char * path, char * out_path, double * clip_mbr,
       long out_width, long out_height)
{
   Idrimg theImg(path);
   return theImg.WriteBIP(out_path,clip_mbr,out_width,out_height);
}

/* This function is optional

int QueryBandStats(char * path, long band, double * stats)
{
   Idrimg theImg(path);
   return theImg.BandStat(band,stats);
}

*/

