/* idrimg.h--Idrimg class declaration */

typedef enum {
   IMG_NODTYPE  = 0,  /* placeholder */
   IMG_BYTE     = 1,  /* 8-bit unsigner integer */
   IMG_INTEGER  = 2,  /* !16-bit signed integer */
   IMG_REAL     = 3,  /* !32-bit IEEE floating point */
} IMGDataType;

typedef enum {
   IMG_NOFTYPE  = 0,  /* placeholder */
   IMG_ASCII    = 1,  /* ASCII file format */
   IMG_BINARY   = 2,  /* Binary file format */
   IMG_PACKED   = 3,  /* Packbit compressed file format */
} IMGFileType;

typedef enum {
   IMG_NOPALETTE = 0,  /* no palette file present with same name as image */
   IMG_SMP       = 1,  /* SMP palette (Binary) */
   IMG_PAL       = 2,  /* PAL palette (ASCII) */
} IMGPaletteType;

class Idrimg
{
protected:
   char Path[_MAX_PATH];
   int Valid;
   IMGDataType DataType;
   IMGFileType FileType;
   long Rows;
   long Cols;
   double MinX;
   double MinY;
   double MaxX;
   double MaxY;
   double MinVal;
   double MaxVal;
   IMGPaletteType Palette;

public:
   Idrimg(char * img_path);   // constructor
   int IsValid();
   int Query(long * nbands, long * width, long * height, double * mbr);
   int WriteBIP(char * out_path, double * clip_mbr, long out_width,
      long out_height);

/* This function is optional

   int BandStat(long band, double * stats);

*/

};

